% Appendix from Asymptote tutorial Jim Hefferon
\chapter*{Appendix: File with defaults}
Rather than copy and paste code common across graphics,
we can put them in a separate file and import them.
In the earlier \Asy{} sources the lines
\begin{minted}{Asymptote}
import "../../../asy/jh.asy" as jh;  
\end{minted}
will run the commands in the file \path{../../../asy/jh.asy}
and also make available the routines and data defined there.

Here is the file's contents.
First, it sets the fonts
and changes the default font size.
(The smaller size leaves more room for graphic elements and
also helps the graphics have a visually cohesive identity distinct from 
the document's body.)
Then it defines a color scheme.\footnote{%
  Credit to \protect\texttt{color.adobe.com} user Michelle Delapenha for this scheme.}
Last, it gives the 
\mintinline{Asymptote}{material} defaults
for 3D graphics.
\begin{center}
  \inputminted{Asymptote}{../asy/jh.asy}
\end{center}
